
--- kate/app/Makefile.am	12 Nov 2002 04:16:41 -0000	1.1.1.4
+++ kate/app/Makefile.am	1 Jun 2003 14:31:53 -0000	1.11
@@ -1,4 +1,4 @@
-lib_LTLIBRARIES = libkateinterfaces.la kate.la kwrite.la
+lib_LTLIBRARIES = libkateinterfaces.la kate.la kwrite.la libkwrite_main.la
 bin_PROGRAMS = kate kwrite
 
 libkateinterfaces_la_SOURCES = kateapp.cpp kateconfigdialog.cpp kateconfigplugindialogpage.cpp \
@@ -7,34 +7,35 @@
 	kateviewmanager.cpp kateviewspace.cpp \
 	kateIface.skel kategrepdialog.cpp katefiledialog.cpp katemailfilesdialog.cpp \
         kbookmarkhandler.cpp kactionselector.cpp katedockcontainer.cpp
+libkateinterfaces_la_LIBADD   = $(top_builddir)/kate/interfaces/libkateinterfacesprivate.la -lkscript $(top_builddir)/kate/lib/libkmultitabbar.la
+libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
 
-libkateinterfaces_la_LIBADD   = ../interfaces/libkateinterfacesprivate.la -lkscript ../lib/libkmultitabbar.la
-libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
-kate_la_SOURCES = katemain.cpp
-kate_la_LIBADD = libkateinterfaces.la
-kate_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version 
-
-kwrite_la_SOURCES = kwritemain.cpp katefiledialog.cpp kwritedialogs.cpp
-kwrite_la_LIBADD   = -lktexteditor
-kwrite_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+kate_la_SOURCES = kate_la_main.cpp
+kate_la_LIBADD  = libkateinterfaces.la
+kate_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
 
-kate_SOURCES = dummy_kate.cpp
-kate_LDADD = kate.la
-kate_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+kate_la_main.cpp: katemain.cpp
+	cat katemain.cpp > kate_la_main.cpp
 
-kwrite_SOURCES = dummy_kwrite.cpp
-kwrite_LDADD = kwrite.la
-kwrite_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+libkwrite_main_la_SOURCES = kwritemain.cpp katefiledialog.cpp kwritedialogs.cpp
+libkwrite_main_la_LIBADD  = -lktexteditor $(LIB_QT) -lkdecore -lDCOP -lkdeui -lkio -lkparts
+libkwrite_main_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
+
+kwrite_la_SOURCES = kwrite_la_main.cpp
+kwrite_la_LIBADD  = libkwrite_main.la
+kwrite_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -avoid-version -module
 
-dummy_kate_la.cpp:
-	echo > dummy_kate_la.cpp
+kwrite_la_main.cpp: kwrite_main.cpp
+	cat kwrite_main.cpp > kwrite_la_main.cpp
 
-dummy_kate.cpp:
-	echo > dummy_kate.cpp
+kate_SOURCES = katemain.cpp
+kate_LDADD = libkateinterfaces.la
+kate_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+
+kwrite_SOURCES = kwrite_main.cpp
+kwrite_LDADD = libkwrite_main.la
+kwrite_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 
-dummy_kwrite.cpp:
-	echo > dummy_kwrite.cpp
-                         
 METASOURCES = AUTO  
   
 INCLUDES= -I../interfaces -I$(srcdir)/../lib $(all_includes)
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kate/app/kwrite_main.cpp	26 Nov 2002 21:00:50 -0000	1.1
@@ -0,0 +1,27 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
--- kate/app/kwritemain.cpp	19 Jul 2003 03:28:26 -0000	1.1.1.7
+++ kate/app/kwritemain.cpp	19 Jul 2003 03:50:11 -0000	1.4
@@ -538,7 +538,9 @@
   { 0, 0, 0}
 };
 
-int main(int argc, char **argv)
+extern "C" int kdemain(int, char**);
+
+int kdemain(int argc, char **argv)
 {
   KLocale::setMainCatalogue("kate");         //lukas: set this to have the kwritepart translated using kate message catalog
 
--- kate/lib/Makefile.am	14 Aug 2002 14:26:30 -0000	1.1.1.2
+++ kate/lib/Makefile.am	26 Nov 2002 21:00:51 -0000	1.2
@@ -5,7 +5,7 @@
 lib_LTLIBRARIES = libkmultitabbar.la 
 
 libkmultitabbar_la_SOURCES=kmultitabbar.cpp
-libkmultitabbar_la_LDFLAGS = $(all_libraries) -no-undefined
+libkmultitabbar_la_LDFLAGS = $(all_libraries) -no-undefined -avoid-version
 libkmultitabbar_la_LIBADD = $(LIB_KPARTS)
 
 METASOURCES = AUTO
--- kcheckpass/checkpass_pam.c	25 Jun 2002 02:03:44 -0000	1.1.1.1
+++ kcheckpass/checkpass_pam.c	21 Nov 2002 21:28:36 -0000	1.2
@@ -26,7 +26,12 @@
  *****************************************************************/
 #include <stdlib.h>
 #include <string.h>
+
+#ifdef HAVE_PAM_PAM_APPL_H
+#include <pam/pam_appl.h>
+#else
 #include <security/pam_appl.h>
+#endif
 
 static const char *PAM_username;
 static const char *PAM_password;
--- kcontrol/access/Makefile.am	1 Oct 2002 02:33:58 -0000	1.1.1.3
+++ kcontrol/access/Makefile.am	1 Jun 2003 14:31:53 -0000	1.8
@@ -4,16 +4,23 @@
 
 bin_PROGRAMS = kaccess
 
-kaccess_SOURCES = dummy.cpp
+kaccess_SOURCES = main.cpp
 kaccess_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kaccess_LDADD = kaccess.la
+kaccess_LDADD = libkaccess_main.la
 
 kde_module_LTLIBRARIES = kcm_access.la
-lib_LTLIBRARIES = kaccess.la
+lib_LTLIBRARIES = kaccess.la libkaccess_main.la
 
-kaccess_la_SOURCES = kaccess.cpp main.cpp
-kaccess_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kaccess_la_LIBADD = $(LIB_KDEUI)
+libkaccess_main_la_SOURCES = kaccess.cpp
+libkaccess_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkaccess_main_la_LIBADD  = $(LIB_KDEUI) $(LIB_QT) -lkdecore -lDCOP
+
+kaccess_la_SOURCES = kaccess_la_main.cpp
+kaccess_la_LDFLAGS = $(all_libraries) -avoid-version -module
+kaccess_la_LIBADD = libkaccess_main.la
+
+kaccess_la_main.cpp: main.cpp
+	cat main.cpp > kaccess_la_main.cpp
 
 kcm_access_la_SOURCES = kcmaccess.cpp 
 kcm_access_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
@@ -32,6 +39,3 @@
 messages:
 	$(XGETTEXT) $(kaccess_la_SOURCES) -o $(podir)/kaccess.pot
 	$(XGETTEXT) $(kcm_access_la_SOURCES) -o $(podir)/kcmaccess.pot
-
-dummy.cpp:
-	echo > dummy.cpp
--- kcontrol/info/Makefile.am	25 Jun 2002 02:03:45 -0000	1.1.1.1
+++ kcontrol/info/Makefile.am	24 Nov 2002 07:11:28 -0000	1.4
@@ -2,7 +2,7 @@
 
 kcm_info_la_SOURCES = main.cpp memory.cpp
 
-kcm_info_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
+kcm_info_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined $(FRAMEWORK_COREAUDIO)
 kcm_info_la_LIBADD = $(LIBALIB) $(LIB_KDEUI) $(LIB_TRU64_MACH) $(LIBCFG) $(LIBODM) $(LIBKSTAT) $(LIBDEVINFO)
 
 INCLUDES= $(all_includes)
--- kcontrol/info/info.cpp	14 Jan 2003 20:08:39 -0000	1.1.1.4
+++ kcontrol/info/info.cpp	9 Jul 2003 14:40:20 -0000	1.7
@@ -472,6 +472,8 @@
 #include "info_svr4.cpp"
 #elif _AIX
 #include "info_aix.cpp"
+#elif defined(__APPLE__)
+#include "info_osx.cpp"
 #else
 #include "info_generic.cpp"	/* Default for unsupportet systems.... */
 #endif
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kcontrol/info/info_osx.cpp	25 Jun 2002 02:06:13 -0000	1.1
@@ -0,0 +1,163 @@
+/*
+ * kdebase3-3.0.1-3.patch,v 1.2 2002/06/24 01:48:12 ranger Exp
+ *
+ * info_fbsd.cpp is part of the KDE program kcminfo.  This displays
+ * various information about the system (hopefully a FreeBSD system)
+ * it's running on.
+ */
+
+#define INFO_CPU_AVAILABLE
+//#define INFO_IRQ_AVAILABLE
+//#define INFO_DMA_AVAILABLE
+//#define INFO_PCI_AVAILABLE
+//#define INFO_IOPORTS_AVAILABLE
+#define INFO_SOUND_AVAILABLE
+#define INFO_DEVICES_AVAILABLE
+#define INFO_SCSI_AVAILABLE
+#define INFO_PARTITIONS_AVAILABLE
+#define INFO_XSERVER_AVAILABLE
+
+/*
+ * all following functions should return TRUE, when the Information
+ * was filled into the lBox-Widget. Returning FALSE indicates that
+ * information was not available.
+ */
+
+#include <sys/types.h>
+#include <sys/sysctl.h>
+
+#include <fstab.h>
+#include <stdio.h>
+#include <stdlib.h>
+
+#include <iostream.h>
+
+#include <qdict.h>
+#include <qfile.h>
+#include <qfontmetrics.h>
+#include <qptrlist.h>
+#include <qstring.h>
+#include <qtextstream.h>
+
+#include <kdebug.h>
+
+#include <mach/mach.h>
+#include <mach-o/arch.h>
+
+#ifdef HAVE_COREAUDIO
+#include <CoreAudio/CoreAudio.h>
+#endif
+
+#include <machine/limits.h>
+
+bool GetInfo_CPU (QListView *lBox)
+{
+
+	QString cpustring;
+
+        kern_return_t ret;
+        struct host_basic_info basic_info;
+        unsigned int count=HOST_BASIC_INFO_COUNT;
+
+        ret=host_info(mach_host_self(), HOST_BASIC_INFO, 
+                (host_info_t)&basic_info, &count);
+        if (ret != KERN_SUCCESS) {
+		kdDebug() << "unable to get host information from mach" << endl;
+		return false;
+        } else {
+		kdDebug() << "got Host Info: (" << basic_info.avail_cpus << ") CPUs available" << endl;
+        	const NXArchInfo *archinfo;
+        	archinfo=NXGetArchInfoFromCpuType(basic_info.cpu_type, basic_info.cpu_subtype);
+		new QListViewItem(lBox, i18n("Kernel is configured for %1 CPUs").arg(basic_info.max_cpus));
+		for (int i = 1; i <= basic_info.avail_cpus; i++) {
+			cpustring = i18n("CPU %1: %2").arg(i).arg(archinfo->description);
+			new QListViewItem(lBox, cpustring);
+		}
+		return true;
+	}
+	return false;
+}
+
+bool GetInfo_IRQ (QListView *)
+{
+	return false;
+}
+
+bool GetInfo_DMA (QListView *)
+{
+	return false;
+}
+
+bool GetInfo_PCI (QListView *)
+{
+	return false;
+}
+
+bool GetInfo_IO_Ports (QListView *)
+{
+	return false;
+}
+
+bool GetInfo_Sound (QListView *lBox)
+{
+#ifdef HAVE_COREAUDIO
+#define kMaxStringSize 1024
+	OSStatus status;
+	AudioDeviceID gOutputDeviceID;
+	unsigned long propertySize;
+	char deviceName[kMaxStringSize];
+	char manufacturer[kMaxStringSize];
+	propertySize = sizeof(gOutputDeviceID);
+	status = AudioHardwareGetProperty(kAudioHardwarePropertyDefaultOutputDevice, &propertySize, &gOutputDeviceID);
+	if (status) {
+		kdDebug() << "get default output device failed, status = " << (int)status << endl;
+		return false;
+	}
+
+	if (gOutputDeviceID != kAudioDeviceUnknown) {
+
+		propertySize = kMaxStringSize;
+
+		/* Device Name */
+		status = AudioDeviceGetProperty(gOutputDeviceID, 1, 0, kAudioDevicePropertyDeviceName, &propertySize, deviceName);
+		if (status) {
+			kdDebug() << "get device name failed, status = " << (int)status << endl;
+			return false;
+		}
+		new QListViewItem(lBox, i18n("Device Name: %1").arg(deviceName));
+
+		/* Manufacturer */
+		status = AudioDeviceGetProperty(gOutputDeviceID, 1, 0, kAudioDevicePropertyDeviceManufacturer, &propertySize, manufacturer);
+		if (status) {
+			kdDebug() << "get manufacturer failed, status = " << (int)status << endl;
+			return false;
+		}
+		new QListViewItem(lBox, i18n("Manufacturer: %1").arg(manufacturer));
+		return true;
+	} else {
+		return false;
+	}
+#else
+	return false;
+#endif
+}
+
+bool GetInfo_SCSI (QListView *lbox)
+{
+	return false;
+}
+
+bool GetInfo_Partitions (QListView *lbox)
+{
+	return false;
+}
+
+bool GetInfo_XServer_and_Video (QListView *lBox)
+{
+	return GetInfo_XServer_Generic( lBox );
+}
+
+bool GetInfo_Devices (QListView *lbox)
+{
+	return false;
+}
--- kcontrol/info/memory.cpp	1 Oct 2002 02:34:08 -0000	1.1.1.4
+++ kcontrol/info/memory.cpp	1 Oct 2002 03:01:46 -0000	1.5
@@ -431,6 +431,8 @@
 
 #ifdef __linux__
 #include "memory_linux.cpp"
+#elif defined(__APPLE__)
+#include "memory_osx.cpp"
 #elif sgi
 #include "memory_sgi.cpp"
 #elif defined(__svr4__) && defined(sun)
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kcontrol/info/memory_osx.cpp	25 Jun 2002 02:06:13 -0000	1.1
@@ -0,0 +1,72 @@
+#include <unistd.h>
+#include <stdlib.h>
+#include <qfile.h>
+#include <mach/mach_init.h>
+#include <mach/mach_host.h>
+#include <mach/host_info.h>
+#include <sys/stat.h>
+#include <dirent.h>
+#include <kdebug.h>
+
+void KMemoryWidget::update()
+{
+
+	vm_statistics_data_t vm_info;
+	mach_msg_type_number_t info_count;
+	DIR *dirp;
+	struct dirent *dp;
+	off_t total;
+
+	info_count = HOST_VM_INFO_COUNT;
+	if (host_statistics(mach_host_self (), HOST_VM_INFO, (host_info_t)&vm_info, &info_count)) {
+		kdDebug() << "could not get memory statistics" << endl;
+		return;
+	}
+
+	Memory_Info[TOTAL_MEM]    = (vm_info.active_count + vm_info.inactive_count +
+		vm_info.free_count + vm_info.wire_count) * vm_page_size;
+	Memory_Info[FREE_MEM]     = vm_info.free_count * vm_page_size;
+	Memory_Info[SHARED_MEM]   = NO_MEMORY_INFO;
+	Memory_Info[BUFFER_MEM]   = NO_MEMORY_INFO;
+	Memory_Info[CACHED_MEM]   = NO_MEMORY_INFO;
+
+	dirp = opendir("/private/var/vm");
+	if (!dirp) {
+		kdDebug() << "unable to open /private/var/vm" << endl;
+		return;
+	}
+
+	total = 0;
+
+	while ((dp = readdir (dirp)) != NULL) {
+		struct stat sb;
+		char fname [MAXNAMLEN];
+
+		if (strncmp (dp->d_name, "swapfile", 8))
+			continue;
+
+		strcpy (fname, "/private/var/vm/");
+		strcat (fname, dp->d_name);
+		if (stat (fname, &sb) < 0)
+			continue;
+
+		total += sb.st_size;
+	}
+	closedir (dirp);
+
+	info_count = HOST_VM_INFO_COUNT;
+	if (host_statistics (mach_host_self (), HOST_VM_INFO,
+		(host_info_t) &vm_info, &info_count)) {
+			kdDebug() << "unable to get VM info" << endl;
+	}
+
+	Memory_Info[SWAP_MEM]     = total;
+	// off_t used = (vm_info.pageouts - vm_info.pageins) * vm_page_size;
+	Memory_Info[FREESWAP_MEM] = NO_MEMORY_INFO;
+
+	/* free = vm_info.free_count * vm_page_size;
+	   used = vm_info.active_count * vm_page_size;
+	   total = (vm_info.active_count + vm_info.inactive_count +
+		vm_info.free_count + vm_info.wire_count) * vm_page_size; */
+
+}
--- kcontrol/kcontrol/Makefile.am	4 Jan 2003 04:47:31 -0000	1.1.1.6
+++ kcontrol/kcontrol/Makefile.am	1 Jun 2003 14:31:53 -0000	1.11
@@ -22,43 +22,69 @@
 
 SUBDIRS = . pics
 
-CLEANFILES = dummy.cpp
-
 bin_PROGRAMS = kcontrol kcmshell kcminit
-lib_LTLIBRARIES = kcontrol.la kcmshell.la kcminit.la
+lib_LTLIBRARIES = libkcontrol_main.la kcontrol.la libkcmshell_main.la kcmshell.la libkcminit_main.la kcminit.la
 
-kcontrol_la_SOURCES = main.cpp toplevel.cpp indexwidget.cpp searchwidget.cpp \
+libkcontrol_main_la_SOURCES = main.cpp toplevel.cpp indexwidget.cpp searchwidget.cpp \
 	helpwidget.cpp moduleinfo.cpp modules.cpp proxywidget.cpp \
 	modloader.cpp dockcontainer.cpp aboutwidget.cpp global.cpp \
 	quickhelp.cpp moduletreeview.cpp moduleiconview.cpp \
 	kecdialog.cpp kcrootonly.cpp moduleIface.cpp moduleIface.skel
+libkcontrol_main_la_LIBADD  = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_QT) -lkdecore -lDCOP -lkdefx
+libkcontrol_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+
+kcontrol_la_SOURCES = kcontrol_la_main.cpp
+kcontrol_la_LIBADD  = libkcontrol_main.la
+kcontrol_la_LDFLAGS = $(all_libraries) -avoid-version -module
 
-kcontrol_la_LIBADD  = $(LIB_KDEUI) $(LIB_KSYCOCA)
-kcontrol_la_LDFLAGS = $(all_libraries) -module -avoid-version
+kcontrol_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcontrol_la_main.cpp
 
-kcmshell_la_SOURCES = kcmshell.cpp moduleinfo.cpp modloader.cpp kecdialog.cpp \
+libkcmshell_main_la_SOURCES = kcmshell.cpp moduleinfo.cpp modloader.cpp kecdialog.cpp \
 			proxywidget.cpp kcdialog.cpp global.cpp \
 			kcdialog.skel
-kcmshell_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA)
-kcmshell_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libkcmshell_main_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_QT) -lkdecore -lDCOP
+libkcmshell_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+
+kcmshell_la_SOURCES = kcmshell_la_main.cpp
+kcmshell_la_LIBADD = libkcmshell_main.la
+kcmshell_la_LDFLAGS = $(all_libraries) -avoid-version -module
+
+kcmshell_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcmshell_la_main.cpp
+
+libkcminit_main_la_SOURCES = kcminit.cpp global.cpp
+libkcminit_main_la_LIBADD  = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_QT) -lkdecore -lDCOP
+libkcminit_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
 
+kcminit_la_SOURCES = kcminit_la_main.cpp
+kcminit_la_LIBADD  = libkcminit_main.la
+kcminit_la_LDFLAGS = $(all_libraries) -avoid-version -module
 
-kcminit_la_SOURCES = kcminit.cpp global.cpp
-kcminit_la_LIBADD   = $(LIB_KDEUI) $(LIB_KSYCOCA)
-kcminit_la_LDFLAGS = $(all_libraries) -module -avoid-version
+kcminit_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcminit_la_main.cpp
 
-kcontrol_SOURCES = dummy.cpp
-kcontrol_LDADD = kcontrol.la
+kcontrol_SOURCES = kcontrol_main.cpp
+kcontrol_LDADD = libkcontrol_main.la
 kcontrol_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic
 
-kcmshell_SOURCES = dummy.cpp
-kcmshell_LDADD = kcmshell.la
+kcontrol_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcontrol_main.cpp
+
+kcmshell_SOURCES = kcmshell_main.cpp
+kcmshell_LDADD = libkcmshell_main.la
 kcmshell_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic
 
-kcminit_SOURCES = dummy.cpp
-kcminit_LDADD = kcminit.la
+kcmshell_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcmshell_main.cpp
+
+kcminit_SOURCES = kcminit_main.cpp
+kcminit_LDADD = libkcminit_main.la
 kcminit_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic
 
+kcminit_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kcminit_main.cpp
+
 rccontroldir = $(kde_datadir)/kcontrol
 rccontrol_DATA = kcontrolui.rc
 rcinfodir = $(kde_datadir)/kinfocenter
@@ -81,6 +107,3 @@
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp -o $(podir)/kcontrol.pot
-
-dummy.cpp:
-	echo > dummy.cpp
--- kcontrol/kcontrol/kcminit.cpp	25 Jun 2002 02:03:45 -0000	1.1.1.1
+++ kcontrol/kcontrol/kcminit.cpp	26 Nov 2002 21:00:51 -0000	1.2
@@ -59,7 +59,9 @@
     return false;
 }
 
-int main(int argc, char *argv[])
+extern "C" int kdemain(int, char**);
+
+int kdemain(int argc, char *argv[])
 {
   KLocale::setMainCatalogue("kcontrol");
   KAboutData aboutData( "kcminit", I18N_NOOP("KCMInit"),
--- kcontrol/kcontrol/kcmshell.cpp	14 Aug 2002 14:29:19 -0000	1.1.1.2
+++ kcontrol/kcontrol/kcmshell.cpp	26 Nov 2002 21:00:51 -0000	1.2
@@ -129,8 +129,9 @@
         quit();
 }
 
+extern "C" int kdemain(int, char**);
 
-int main(int _argc, char *_argv[])
+int kdemain(int _argc, char *_argv[])
 {
     KAboutData aboutData( "kcmshell", I18N_NOOP("KDE Control Module"),
                           KCONTROL_VERSION,
--- kcontrol/kcontrol/main.cpp	1 Oct 2002 02:34:11 -0000	1.1.1.4
+++ kcontrol/kcontrol/main.cpp	26 Nov 2002 21:00:51 -0000	1.2
@@ -86,7 +86,9 @@
   delete toplevel;
 }
 
-int main(int argc, char *argv[])
+extern "C" int kdemain(int, char**);
+
+int kdemain(int argc, char **argv)
 {
   KLocale::setMainCatalogue("kcontrol");
   KAboutData aboutKControl( "kcontrol", I18N_NOOP("KDE Control Center"),
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kcontrol/kcontrol/stub_main.cpp	26 Nov 2002 21:00:51 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- kcontrol/kfontinst/configure.in.in	10 Dec 2002 16:41:00 -0000	1.1.1.6
+++ kcontrol/kfontinst/configure.in.in	1 Jun 2003 14:31:53 -0000	1.6
@@ -1,6 +1,6 @@
 FOUND_FREETYPE=0
 
-KDE_FIND_PATH(freetype-config, FREETYPE_CONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
+KDE_FIND_PATH(freetype-config, FREETYPE_CONFIG, [/usr/X11R6/bin ${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
   AC_MSG_WARN([Could not find libfreetype anywhere, check http://www.freetype.org/])
 ])
 
--- kcontrol/kfontinst/kfontinst/FontEngine.cpp	6 May 2003 17:58:04 -0000	1.1.1.6
+++ kcontrol/kfontinst/kfontinst/FontEngine.cpp	6 May 2003 18:23:15 -0000	1.7
@@ -26,6 +26,8 @@
 // (C) Craig Drummond, 2001
 ////////////////////////////////////////////////////////////////////////////////
 
+#include "config.h"
+
 #include "FontEngine.h"
 #if !defined KFI_THUMBNAIL && !defined KFI_METAINFO
 #include "KfiGlobal.h"
--- kdeprint/kjobviewer/Makefile.am	25 Jun 2002 02:03:49 -0000	1.1.1.1
+++ kdeprint/kjobviewer/Makefile.am	1 Jun 2003 14:31:54 -0000	1.8
@@ -1,16 +1,23 @@
 INCLUDES = $(all_includes)
 
 bin_PROGRAMS = kjobviewer
-lib_LTLIBRARIES = kjobviewer.la
+lib_LTLIBRARIES = kjobviewer.la libkjobviewer_main.la
 
-kjobviewer_SOURCES = dummy.cpp
-kjobviewer_LDADD = kjobviewer.la
+libkjobviewer_main_la_SOURCES = kjobviewer.cpp
+libkjobviewer_main_la_LIBADD  = -lkdeprint_management $(LIB_KDEUI) $(LIB_QT) -lkdecore -lDCOP -lkdeprint
+libkjobviewer_main_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -avoid-version -no-undefined
+libkjobviewer_main_la_METASOURCES = AUTO
+
+kjobviewer_SOURCES = main.cpp
+kjobviewer_LDADD   = libkjobviewer_main.la
 kjobviewer_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 
-kjobviewer_la_SOURCES = kjobviewer.cpp main.cpp
-kjobviewer_la_METASOURCES = AUTO
-kjobviewer_la_LIBADD = -lkdeprint_management $(LIB_KDEUI)
-kjobviewer_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_RPATH)
+kjobviewer_la_SOURCES = main_la.cpp
+kjobviewer_la_LIBADD  = libkjobviewer_main.la
+kjobviewer_la_LDFLAGS = -avoid-version $(all_libraries) $(KDE_RPATH) -module
+
+main_la.cpp: main.cpp
+	cat main.cpp > main_la.cpp
 
 noinst_HEADERS = kjobviewer.h
 
@@ -22,8 +29,8 @@
 desktop_DATA = kjobviewer.desktop
 desktopdir = $(kde_appsdir)/Utilities
 
-dummy.cpp:
-	echo > dummy.cpp
+dummy.cpp: main.cpp
+	cat main.cpp > dummy.cpp
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp -o $(podir)/kjobviewer.pot
--- kdeprint/kprinter/Makefile.am	10 Jul 2002 03:20:23 -0000	1.1.1.2
+++ kdeprint/kprinter/Makefile.am	1 Jun 2003 14:31:54 -0000	1.7
@@ -1,21 +1,28 @@
 INCLUDES = $(all_includes)
 
 bin_PROGRAMS = kprinter
-lib_LTLIBRARIES = kprinter.la
+lib_LTLIBRARIES = kprinter.la libkprinter_main.la
 
-kprinter_SOURCES = dummy.cpp
-kprinter_LDADD = kprinter.la
+libkprinter_main_la_SOURCES = printwrapper.cpp
+libkprinter_main_la_LIBADD  = -lkdeprint $(LIB_QT) -lkdecore -lDCOP -lkdeui -lkio
+libkprinter_main_la_LDFLAGS = -avoid-version $(all_libraries) $(KDE_RPATH) -no-undefined
+libkprinter_main_la_METASOURCES = AUTO
+
+kprinter_SOURCES = main.cpp
+kprinter_LDADD   = libkprinter_main.la
 kprinter_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 
-kprinter_la_SOURCES = main.cpp printwrapper.cpp
-kprinter_la_LIBADD = -lkdeprint
-kprinter_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_RPATH)
-kprinter_METASOURCES = AUTO
+kprinter_la_SOURCES = main_la.cpp
+kprinter_la_LIBADD  = libkprinter_main.la
+kprinter_la_LDFLAGS = -avoid-version $(all_libraries) $(KDE_RPATH) -module
+
+main_la.cpp: main.cpp
+	cat main.cpp > main_la.cpp
 
 noinst_HEADERS = printwrapper.h
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/kprinter.pot
 
-dummy.cpp:
-	echo > dummy.cpp
+dummy.cpp: main.cpp
+	cat main.cpp > dummy.cpp
--- kdesktop/Makefile.am	1 Oct 2002 02:35:37 -0000	1.1.1.3
+++ kdesktop/Makefile.am	1 Jun 2003 14:31:54 -0000	1.4
@@ -1,10 +1,6 @@
 ## Makefile.am of kdebase/kdesktop
 
 INCLUDES = -I$(top_srcdir)/kcontrol/background -I$(top_srcdir)/libkonq $(all_includes)
-kdesktop_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) -module -avoid-version
-kdesktop_la_LIBADD   = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kcontrol/background/libbgnd.la 
-kdesktop_LDFLAGS  = $(all_libraries) $(KDE_RPATH)
-kdesktop_LDADD    = kdesktop.la
 
 SUBDIRS = . lock pics patterns programs init kwebdesktop
 
@@ -12,15 +8,29 @@
 
 bin_PROGRAMS = kdesktop
 bin_SCRIPTS = kdeeject
-lib_LTLIBRARIES = kdesktop.la
+lib_LTLIBRARIES = kdesktop.la libkdesktop_main.la
 
-kdesktop_la_SOURCES = main.cc krootwm.cc xautolock.cc kdiconview.cc desktop.cc \
+libkdesktop_main_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) -avoid-version -no-undefined
+libkdesktop_main_la_LIBADD   = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kcontrol/background/libbgnd.la 
+libkdesktop_main_la_SOURCES = main.cc krootwm.cc xautolock.cc kdiconview.cc desktop.cc \
 	lockeng.cc KDesktopIface.skel \
 	bgmanager.cc init.cc KScreensaverIface.skel \
 	minicli.cpp KBackgroundIface.skel pixmapserver.cc kcustommenu.cc \
 	startupid.cpp
 
-kdesktop_SOURCES = dummy.cc
+kdesktop_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -avoid-version -module
+kdesktop_la_LIBADD  = libkdesktop_main.la
+kdesktop_la_SOURCES = kdesktop_la_main.cpp
+
+kdesktop_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kdesktop_la_main.cpp
+
+kdesktop_LDFLAGS  = $(all_libraries) $(KDE_RPATH)
+kdesktop_LDADD    = libkdesktop_main.la
+kdesktop_SOURCES  = kdesktop_main.cpp
+
+kdesktop_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kdesktop_main.cpp
 
 include_HEADERS = KDesktopIface.h KScreensaverIface.h KBackgroundIface.h
 
--- kdesktop/main.cc	6 May 2003 17:58:13 -0000	1.1.1.5
+++ kdesktop/main.cc	6 May 2003 18:23:16 -0000	1.4
@@ -75,7 +75,9 @@
         kapp->quit(); // turn catchable signals into clean shutdown
 }
 
-int main( int argc, char **argv )
+extern "C" int kdemain(int, char**);
+
+int kdemain( int argc, char **argv )
 {
     //setup signal handling
     signal(SIGTERM, signalHandler);
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kdesktop/stub_main.cpp	26 Nov 2002 21:00:51 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- kdm/backend/client.c	19 Jul 2003 03:28:22 -0000	1.1.1.6
+++ kdm/backend/client.c	19 Jul 2003 03:50:13 -0000	1.5
@@ -38,6 +38,7 @@
  * user verification and session initiation.
  */
 
+#include <config.h>
 #include "dm.h"
 #include "dm_auth.h"
 #include "dm_error.h"
@@ -59,7 +60,11 @@
 # endif
 #endif
 #ifdef USE_PAM
-# include <security/pam_appl.h>
+#ifdef HAVE_PAM_PAM_APPL_H
+#include <pam/pam_appl.h>
+#else
+#include <security/pam_appl.h>
+#endif
 #elif defined(AIXV3) /* USE_PAM */
 # include <login.h>
 # include <usersec.h>
--- kdm/backend/dm.h	29 Oct 2002 03:04:57 -0000	1.1.1.4
+++ kdm/backend/dm.h	29 Oct 2002 03:39:31 -0000	1.4
@@ -41,6 +41,10 @@
 #ifndef _DM_H_
 #define _DM_H_ 1
 
+#ifdef __APPLE__
+#define CSRG_BASED
+#endif
+
 #include "greet.h"
 
 #include <X11/Xos.h>
--- kdm/kfrontend/liloinfo.h	12 May 2003 17:34:35 -0000	1.1.1.4
+++ kdm/kfrontend/liloinfo.h	12 May 2003 18:26:34 -0000	1.3
@@ -37,6 +37,9 @@
 
 #include <kprocess.h>
 
+/* stdio on MacOSX defines this to an internal FD :P */
+#undef stdout
+
 /*
  * Errors:
  *      0 = No error
--- kfind/Makefile.am	10 Jul 2002 03:21:13 -0000	1.1.1.2
+++ kfind/Makefile.am	9 May 2003 00:40:05 -0000	1.2
@@ -10,7 +10,7 @@
 libkfind_common_la_SOURCES = kftabdlg.cpp kfind.cpp kquery.cpp kdatecombo.cpp
 
 #This section is kfindpart
-lib_LTLIBRARIES = libkfindpart.la
+kde_module_LTLIBRARIES = libkfindpart.la
 
 libkfindpart_la_SOURCES = kfindpart.cpp
 libkfindpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
--- khotkeys/khotkeys/Makefile.am	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ khotkeys/khotkeys/Makefile.am	1 Jun 2003 14:31:54 -0000	1.6
@@ -1,15 +1,25 @@
 # $Id: Makefile.am,v 1.12 2002/02/12 14:32:08 ellis Exp $
 
 bin_PROGRAMS = khotkeys
-lib_LTLIBRARIES = khotkeys.la
+lib_LTLIBRARIES = khotkeys.la libkhotkeys_main.la
 
-khotkeys_la_SOURCES = khotkeys.cpp main.cpp khotkeys.skel
-khotkeys_la_LIBADD   = ../shared/libshared.la $(LIB_KSYCOCA)
-khotkeys_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libkhotkeys_main_la_SOURCES = khotkeys.cpp main.cpp khotkeys.skel
+libkhotkeys_main_la_LIBADD  = ../shared/libshared.la $(LIB_KSYCOCA) $(LIB_QT) -lkdecore -lDCOP
+libkhotkeys_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
 
-khotkeys_SOURCES = dummy.cpp
-khotkeys_LDADD   = khotkeys.la
+khotkeys_la_SOURCES = khotkeys_la_main.cpp
+khotkeys_la_LIBADD  = libkhotkeys_main.la
+khotkeys_la_LDFLAGS = $(all_libraries) -avoid-version -module
+
+khotkeys_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > khotkeys_la_main.cpp
+
+khotkeys_SOURCES = khotkeys_main.cpp
+khotkeys_LDADD = libkhotkeys_main.la
 khotkeys_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+
+khotkeys_main.cpp: stub_main.cpp
+	cat stub_main.cpp > khotkeys_main.cpp
 
 autostart_DATA = khotkeys.desktop
 autostartdir = $(prefix)/share/autostart
--- khotkeys/khotkeys/main.cpp	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ khotkeys/khotkeys/main.cpp	26 Nov 2002 21:00:52 -0000	1.2
@@ -28,8 +28,9 @@
 // for multihead
 int khotkeys_screen_number = 0;
 
+extern "C" int kdemain(int, char**);
 
-int main( int argc, char** argv )
+int kdemain( int argc, char** argv )
 {                             // no need to i18n these, no GUI
     {
 	// multiheaded hotkeys
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ khotkeys/khotkeys/stub_main.cpp	26 Nov 2002 21:00:52 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- kicker/Makefile.am	10 Jul 2002 03:21:29 -0000	1.1.1.2
+++ kicker/Makefile.am	29 Nov 2002 18:19:36 -0000	1.6
@@ -3,18 +3,22 @@
 SUBDIRS = share core ui buttons . proxy taskmanager taskbar applets extensions menuext data
 
 bin_PROGRAMS = kicker
-lib_LTLIBRARIES = kicker.la
+lib_LTLIBRARIES = kicker.la libkicker_shared.la
 
-CLEANFILES = dummy.cpp dummy_la.cpp
+CLEANFILES = libkicker_shared_la_dummy.cpp kicker_la_dummy.cpp kicker_dummy.cpp
 
-kicker_la_LIBADD = core/libkicker_core.la  buttons/libkicker_buttons.la \
+libkicker_shared_la_LIBADD = core/libkicker_core.la  buttons/libkicker_buttons.la \
 	ui/libkicker_ui.la share/libkickermain.la $(LIB_KIO) 
 
-kicker_la_SOURCES = dummy.cpp
-kicker_la_LDFLAGS = $(KDE_PLUGIN) -no-undefined -module $(all_libraries)
+libkicker_shared_la_SOURCES = libkicker_shared_la_dummy.cpp
+libkicker_shared_la_LDFLAGS = $(KDE_RPATH) -no-undefined -avoid-version $(all_libraries)
 
-kicker_LDADD = kicker.la
-kicker_SOURCES = dummy_la.cpp
+kicker_la_LIBADD  = libkicker_shared.la
+kicker_la_SOURCES = kicker_la_dummy.cpp
+kicker_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+
+kicker_LDADD = libkicker_shared.la
+kicker_SOURCES = kicker_dummy.cpp
 kicker_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 autostart_DATA = panel.desktop
@@ -26,7 +30,7 @@
 messages:
 	$(XGETTEXT) share/*.cpp buttons/*.cpp core/*.cpp ui/*.cpp -o $(podir)/kicker.pot
 
-dummy.cpp dummy_la.cpp:
+libkicker_shared_la_dummy.cpp kicker_la_dummy.cpp kicker_dummy.cpp:
 	echo > $@
         
 updatedir = $(kde_datadir)/kconf_update
--- kicker/applets/launcher/Makefile.am	4 Jan 2003 04:50:34 -0000	1.1.1.3
+++ kicker/applets/launcher/Makefile.am	4 Jan 2003 05:34:15 -0000	1.3
@@ -13,8 +13,8 @@
 
 EXTRA_DIST = $(lnk_DATA)
 
-launcher_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-launcher_panelapplet_la_LIBADD = ../../kicker.la $(LIB_KSYCOCA) $(LIB_KDEUI)
+launcher_panelapplet_la_LDFLAGS = $(all_libraries) -module  $(KDE_PLUGIN)
+launcher_panelapplet_la_LIBADD = ../../libkicker_shared.la $(LIB_KSYCOCA) $(LIB_KDEUI) 
 
 messages:
 	$(XGETTEXT) *.cpp *.h -o $(podir)/quicklauncher.pot
--- kicker/applets/lockout/Makefile.am	4 Jan 2003 04:50:34 -0000	1.1.1.2
+++ kicker/applets/lockout/Makefile.am	4 Jan 2003 05:34:16 -0000	1.3
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = lockout_panelapplet.la
 
 lockout_panelapplet_la_SOURCES = lockout.cpp
-lockout_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
+lockout_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) -no-undefined
 lockout_panelapplet_la_LIBADD = $(LIB_KSYCOCA)
 
 noinst_HEADERS = lockout.h
--- kicker/extensions/childpanel/Makefile.am	4 Jan 2003 04:50:50 -0000	1.1.1.2
+++ kicker/extensions/childpanel/Makefile.am	4 Jan 2003 05:34:17 -0000	1.3
@@ -5,7 +5,7 @@
 childpanel_panelextension_la_SOURCES = childpanelextension.cpp childpanelextension.skel
 childpanel_panelextension_la_METASOURCES = AUTO
 childpanel_panelextension_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-childpanel_panelextension_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) ../../kicker.la
+childpanel_panelextension_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) ../../libkicker_shared.la
 
 noinst_HEADERS = childpanelextension.h
 
--- kicker/menuext/kdeprint/Makefile.am	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ kicker/menuext/kdeprint/Makefile.am	24 Nov 2002 07:11:30 -0000	1.4
@@ -4,7 +4,7 @@
 
 kickermenu_kdeprint_la_SOURCES = print_mnu.cpp
 kickermenu_kdeprint_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kickermenu_kdeprint_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) -lkdeprint
+kickermenu_kdeprint_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) -lkdeprint $(LIB_QT) -lkdecore
 
 kickermenu_kdeprint_la_METASOURCES = AUTO
 
--- kicker/menuext/konsole/Makefile.am	14 Aug 2002 14:30:12 -0000	1.1.1.1
+++ kicker/menuext/konsole/Makefile.am	24 Nov 2002 07:11:31 -0000	1.4
@@ -4,7 +4,7 @@
 
 kickermenu_konsole_la_SOURCES = konsole_mnu.cpp konsolebookmarkhandler.cpp konsolebookmarkmenu.cpp
 kickermenu_konsole_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kickermenu_konsole_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO)
+kickermenu_konsole_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) -lkdecore
 
 kickermenu_konsole_la_METASOURCES = AUTO
 
--- kicker/menuext/prefmenu/Makefile.am	10 Jul 2002 03:22:41 -0000	1.1.1.1
+++ kicker/menuext/prefmenu/Makefile.am	24 Nov 2002 07:11:31 -0000	1.4
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = kickermenu_prefmenu.la
 
 kickermenu_prefmenu_la_SOURCES = prefmenu.cpp
-kickermenu_prefmenu_la_LDFLAGS = $(all_libraries) -module -avoid-version
+kickermenu_prefmenu_la_LDFLAGS = $(all_libraries) -module -avoid-version -undefined suppress -flat_namespace
 kickermenu_prefmenu_la_LIBADD = $(LIB_KDEUI) $(top_builddir)/kicker/ui/libkicker_ui.la
 
 kickermenu_prefmenu_la_METASOURCES = AUTO
--- kicker/menuext/recentdocs/Makefile.am	10 Jul 2002 03:22:42 -0000	1.1.1.1
+++ kicker/menuext/recentdocs/Makefile.am	24 Nov 2002 07:11:31 -0000	1.4
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = kickermenu_recentdocs.la
 
 kickermenu_recentdocs_la_SOURCES = recentdocsmenu.cpp
-kickermenu_recentdocs_la_LDFLAGS = $(all_libraries) -module -avoid-version
+kickermenu_recentdocs_la_LDFLAGS = $(all_libraries) -module -avoid-version -undefined suppress -flat_namespace
 kickermenu_recentdocs_la_LIBADD = $(LIB_KDEUI) $(top_builddir)/kicker/ui/libkicker_ui.la
 
 kickermenu_recentdocs_la_METASOURCES = AUTO
--- kicker/proxy/Makefile.am	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ kicker/proxy/Makefile.am	1 Jun 2003 14:31:55 -0000	1.4
@@ -3,32 +3,48 @@
 CLEANFILES = dummy.cpp
 
 bin_PROGRAMS = appletproxy extensionproxy
-lib_LTLIBRARIES = appletproxy.la extensionproxy.la
+lib_LTLIBRARIES = libappletproxy_main.la appletproxy.la libextensionproxy_main.la extensionproxy.la
 
-appletproxy_la_LIBADD = $(LIB_KDEUI) ../share/libkickermain.la
-appletproxy_la_SOURCES = appletproxy.cpp
-appletproxy_la_METASOURCES = appletproxy.moc
-appletproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+libappletproxy_main_la_LIBADD = $(LIB_KDEUI) ../share/libkickermain.la
+libappletproxy_main_la_SOURCES = appletproxy.cpp
+libappletproxy_main_la_METASOURCES = appletproxy.moc
+libappletproxy_main_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
+
+appletproxy_la_LIBADD  = libappletproxy_main.la
+appletproxy_la_SOURCES = appletproxy_la_main.cpp
+appletproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
 
-appletproxy_LDADD = appletproxy.la
-appletproxy_SOURCES = dummy.cpp
+appletproxy_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > appletproxy_la_main.cpp
+
+appletproxy_LDADD = libappletproxy_main.la
+appletproxy_SOURCES = appletproxy_main.cpp
 appletproxy_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
-extensionproxy_la_LIBADD = $(LIB_KDEUI) ../share/libkickermain.la
-extensionproxy_la_SOURCES = extensionproxy.cpp
-extensionproxy_la_METASOURCES = extensionproxy.moc
-extensionproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+appletproxy_main.cpp: stub_main.cpp
+	cat stub_main.cpp > appletproxy_main.cpp
+
+libextensionproxy_main_la_LIBADD = $(LIB_KDEUI) ../share/libkickermain.la
+libextensionproxy_main_la_SOURCES = extensionproxy.cpp
+libextensionproxy_main_la_METASOURCES = extensionproxy.moc
+libextensionproxy_main_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
+
+extensionproxy_la_LIBADD = libextensionproxy_main.la
+extensionproxy_la_SOURCES = extensionproxy_la_main.cpp
+extensionproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
+
+extensionproxy_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > extensionproxy_la_main.cpp
 
-extensionproxy_LDADD = extensionproxy.la
-extensionproxy_SOURCES = dummy.cpp
+extensionproxy_LDADD = libextensionproxy_main.la
+extensionproxy_SOURCES = extensionproxy_main.cpp
 extensionproxy_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
+extensionproxy_main.cpp: stub_main.cpp
+	cat stub_main.cpp > extensionproxy_main.cpp
+
 noinst_HEADERS = appletproxy.h extensionproxy.h
 
 messages:
 	$(XGETTEXT) appletproxy.cpp -o $(podir)/appletproxy.pot
 	$(XGETTEXT) extensionproxy.cpp -o $(podir)/extensionproxy.pot
-
-dummy.cpp:
-	echo > dummy.cpp
-
--- kicker/proxy/appletproxy.cpp	10 Jul 2002 03:22:43 -0000	1.1.1.2
+++ kicker/proxy/appletproxy.cpp	26 Nov 2002 21:00:52 -0000	1.2
@@ -67,7 +67,9 @@
   { 0, 0, 0}
 };
 
-int main( int argc, char ** argv )
+extern "C" int kdemain(int, char**);
+
+int kdemain( int argc, char ** argv )
 {
     KAboutData aboutData( "appletproxy", I18N_NOOP("Panel applet proxy.")
                           , "v0.1.0"
--- kicker/proxy/extensionproxy.cpp	10 Jul 2002 03:22:44 -0000	1.1.1.2
+++ kicker/proxy/extensionproxy.cpp	26 Nov 2002 21:00:52 -0000	1.2
@@ -54,7 +54,9 @@
   { 0, 0, 0}
 };
 
-int main( int argc, char ** argv )
+extern "C" int kdemain(int, char**);
+
+int kdemain( int argc, char ** argv )
 {
     KAboutData aboutData( "extensionproxy", I18N_NOOP("Panel extension proxy.")
                           , "v0.1.0"
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kicker/proxy/stub_main.cpp	26 Nov 2002 21:00:52 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- kicker/share/Makefile.am	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ kicker/share/Makefile.am	24 Nov 2002 07:11:32 -0000	1.2
@@ -5,7 +5,7 @@
 libkickermain_la_SOURCES = pluginloader.cpp appletinfo.cpp panner.cpp fittslawframe.cpp menuinfo.cpp
 libkickermain_la_METASOURCES = AUTO
 
-libkickermain_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -module -no-undefined
+libkickermain_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
 libkickermain_la_LIBADD = $(LIB_KDECORE) $(LIB_KDEUI) $(top_builddir)/libkonq/libkonq.la
 
 messages:
--- kicker/taskmanager/Makefile.am	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ kicker/taskmanager/Makefile.am	24 Nov 2002 07:11:32 -0000	1.2
@@ -4,7 +4,7 @@
 libtaskmanager_la_SOURCES = tasklmbmenu.cpp taskrmbmenu.cpp taskmanager.cpp
 libtaskmanager_la_METASOURCES = AUTO
 
-libtaskmanager_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -module -no-undefined
+libtaskmanager_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
 libtaskmanager_la_LIBADD = $(LIB_KDECORE)
 
 messages:
--- kioslave/Makefile.am	19 Jul 2003 03:30:12 -0000	1.1.1.5
+++ kioslave/Makefile.am	19 Jul 2003 03:50:14 -0000	1.7
@@ -10,10 +10,14 @@
 SMB_SUBDIR=smbro
 endif
 
+if include_kioslave_nfs
+NFS_SUBDIR=nfs
+endif
+
 if include_devicesdir
 DEVICES_SUBDIR=devices
 endif
 
-
-SUBDIRS = about cgi floppy filter fish info mac man nfs nntp pop3 imap4 smtp \
-  sftp tar zip finger thumbnail $(LDAP_SUBDIR) $(SMB_SUBDIR) $(DEVICES_SUBDIR)
+SUBDIRS = about cgi floppy filter fish info mac man nntp pop3 imap4 smtp \
+	sftp tar zip finger thumbnail $(LDAP_SUBDIR) $(SMB_SUBDIR) \
+	$(NFS_SUBDIR) $(DEVICES_SUBDIR)
--- kioslave/devices/configure.in.in	19 Jul 2003 03:30:18 -0000	1.1.1.3
+++ kioslave/devices/configure.in.in	19 Jul 2003 03:50:14 -0000	1.3
@@ -7,6 +7,9 @@
     Linux)
         DEVICESDIR=devices
         ;;
+    Darwin)
+        DEVICESDIR=devices
+        ;;
     *)
         DEVICESDIR=
         ;;
--- kioslave/devices/kdedmodule/Makefile.am	29 Oct 2002 03:05:23 -0000	1.1.1.2
+++ kioslave/devices/kdedmodule/Makefile.am	25 Mar 2003 18:16:37 -0000	1.6
@@ -3,7 +3,7 @@
 INCLUDES = $(all_includes)
 kded_mountwatcher_la_SOURCES = mountwatcher.cpp mountwatcher.skel disklist.cpp disks.cpp
 kded_mountwatcher_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_mountwatcher_la_LIBADD = $(LIB_KSYCOCA)
+kded_mountwatcher_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) -lDCOP -lkdecore
 
 METASOURCES = AUTO
 
--- kioslave/ldap/configure.in.in	14 Jan 2003 20:11:09 -0000	1.1.1.3
+++ kioslave/ldap/configure.in.in	21 Feb 2003 21:42:07 -0000	1.9
@@ -19,7 +19,7 @@
   fi
   if test $with_ldap = FOUND ; then
     with_ldap=NOTFOUND
-    for ext in la so sl a ; do
+    for ext in la so sl a dylib ; do
       AC_FIND_FILE(libldap.$ext, $kde_libraries /usr/lib /usr/local/lib,
         ldap_libdir)
       if test -r $ldap_libdir/libldap.$ext ; then
@@ -37,6 +37,12 @@
 
 case "$with_ldap" in
 no) AC_MSG_RESULT(no) ;;
+framework)
+  LDAP_LIBS="-Xlinker -framework -Xlinker LDAP"
+  AC_DEFINE_UNQUOTED(HAVE_LIBLDAP, 1, [Define if you have LDAP libraries])
+  LDAP_SUBDIR="ldap"
+  AC_MSG_RESULT(Apple framework)
+  ;;
 NOTFOUND) AC_MSG_RESULT(searched but not found) ;;
 *)
   if test "x$with_ldap" = "xFOUND" ; then
--- kioslave/nfs/README	25 Jun 2002 02:03:52 -0000	1.1.1.1
+++ kioslave/nfs/README	16 Sep 2002 14:52:42 -0000	1.4
@@ -1,3 +1,29 @@
 this is an ioslave for KDE 2 for NFS, version 2.
 
 Alex
+
+Darwin notes --
+
+It looks like there are C++ type issues with the Darwin headers
+(try building, you'll see the "too many arguments to function" stuff)
+
+The problem seems to be <rpc/clnt.h> having definitions that don't
+play nice with C++.  The client rpc handle does a bunch of void stuff
+in the struct which is fine in C but makes an empty arg list in C++.
+
+typedef struct {
+        AUTH    *cl_auth;                       /* authenticator */
+        struct clnt_ops {
+                enum clnt_stat  (*cl_call)();   /* call remote procedure */
+                void            (*cl_abort)();  /* abort a call */
+                void            (*cl_geterr)(); /* get specific error code */
+                bool_t          (*cl_freeres)(); /* frees results */
+                void            (*cl_destroy)();/* destroy this structure */
+                bool_t          (*cl_control)();/* the ioctl() of rpc */
+        } *cl_ops;
+        caddr_t                 cl_private;     /* private stuff */
+} CLIENT;
+
+
+The only solution is to probably reimplement clnt.h locally to fix
+these (wrapping the "#include <rpc/rpc.h>" in an extern "C" isn't enough).
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kioslave/nfs/configure.in.in	18 Dec 2002 17:11:17 -0000	1.3
@@ -0,0 +1,12 @@
+AC_MSG_CHECKING(whether to compile NFS support)
+AC_ARG_WITH(nfs,
+[  --without-nfs           Disable NFS kioslave [default=no]],
+	with_nfs=$withval, with_nfs=yes
+)dnl
+
+if test `uname -s` = "Darwin"; then
+	with_nfs=no
+fi
+
+AC_MSG_RESULT($withval)
+AM_CONDITIONAL(include_kioslave_nfs, test "$with_nfs" = "yes")
--- klipper/Makefile.am	14 Jan 2003 20:11:15 -0000	1.1.1.5
+++ klipper/Makefile.am	1 Jun 2003 14:31:55 -0000	1.10
@@ -1,23 +1,30 @@
 INCLUDES= $(all_includes)
 
 bin_PROGRAMS = klipper
-lib_LTLIBRARIES = klipper.la
+lib_LTLIBRARIES = klipper.la libklipper_main.la
 kde_module_LTLIBRARIES = klipper_panelapplet.la
 
-CLEANFILES = dummy.cpp
+CLEANFILES = dummy.cpp klipper_main.cpp
 
-klipper_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) 
-klipper_la_SOURCES = main.cpp toplevel.cpp urlgrabber.cpp configdialog.cpp \
+libklipper_main_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_QT) -lkdecore -lDCOP
+libklipper_main_la_SOURCES = toplevel.cpp urlgrabber.cpp configdialog.cpp \
     toplevel.skel
 
-klipper_la_METASOURCES = AUTO
-klipper_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libklipper_main_la_METASOURCES = AUTO
+libklipper_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
 
-klipper_LDADD = klipper.la $(LIB_KSYCOCA)
-klipper_SOURCES = dummy.cpp
+klipper_la_LIBADD = libklipper_main.la
+klipper_la_SOURCES = main.cpp
+klipper_la_LDFLAGS = $(all_libraries) -avoid-version -module
+
+klipper_main.cpp: main.cpp
+	cat main.cpp > klipper_main.cpp
+
+klipper_LDADD = libklipper_main.la
+klipper_SOURCES = klipper_main.cpp
 klipper_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
-klipper_panelapplet_la_LIBADD = klipper.la
+klipper_panelapplet_la_LIBADD = libklipper_main.la
 klipper_panelapplet_la_SOURCES = applet.cpp applet.skel
 klipper_panelapplet_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
--- kmenuedit/Makefile.am	14 Aug 2002 14:27:55 -0000	1.1.1.3
+++ kmenuedit/Makefile.am	1 Jun 2003 14:31:55 -0000	1.8
@@ -1,18 +1,24 @@
 INCLUDES = $(all_includes)
 
 bin_PROGRAMS = kmenuedit
-lib_LTLIBRARIES = kmenuedit.la
+lib_LTLIBRARIES = kmenuedit.la libkmenuedit_main.la
 
 CLEANFILES = dummy.cpp
 
-kmenuedit_la_SOURCES = basictab.cpp treeview.cpp desktopfileeditor.cpp menueditview.cpp kmenuedit.cpp main.cpp khotkeys.cpp
+libkmenuedit_main_la_SOURCES = basictab.cpp treeview.cpp desktopfileeditor.cpp menueditview.cpp kmenuedit.cpp khotkeys.cpp
+libkmenuedit_main_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) -lkdecore -lDCOP
+libkmenuedit_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
 
-kmenuedit_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO)
-kmenuedit_la_LDFLAGS = $(all_libraries) -module -avoid-version
+kmenuedit_la_SOURCES = main.cpp
+kmenuedit_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -module
+kmenuedit_la_LIBADD  = libkmenuedit_main.la
 
-kmenuedit_SOURCES = dummy.cpp
-kmenuedit_LDADD   = kmenuedit.la
+kmenuedit_SOURCES = kmenuedit_main.cpp
 kmenuedit_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kmenuedit_LDADD   = libkmenuedit_main.la
+
+kmenuedit_main.cpp: main.cpp
+	cat main.cpp > kmenuedit_main.cpp
 
 noinst_HEADERS = kmenuedit.h menueditview.h treeview.h desktopfileeditor.h basictab.h khotkeys.h
 
--- konqueror/Makefile.am	17 Jan 2003 15:03:12 -0000	1.1.1.5
+++ konqueror/Makefile.am	1 Jun 2003 14:31:55 -0000	1.5
@@ -5,7 +5,7 @@
 #SUBDIRS = . kfmexec client iconview dirtree listview keditbookmarks shellcmdplugin about pics sidebar
 SUBDIRS = . kfmexec client iconview listview keditbookmarks shellcmdplugin about pics sidebar
 
-lib_LTLIBRARIES = konqueror.la
+lib_LTLIBRARIES = konqueror.la libkonqueror_main.la
 
 konqdatadir = $(kde_datadir)/konqueror
 konqdata_DATA = konqueror.rc
@@ -22,8 +22,7 @@
 
 bin_PROGRAMS = konqueror
 
-konqueror_la_SOURCES = konq_main.cc \
-	    KonquerorIface.cc KonquerorIface.skel \
+libkonqueror_main_la_SOURCES = KonquerorIface.cc KonquerorIface.skel \
 	    KonqMainWindowIface.cc KonqMainWindowIface.skel \
 	    KonqViewIface.cc KonqViewIface.skel \
 	    konq_mainwindow.cc konq_guiclients.cc \
@@ -43,11 +42,18 @@
 	konq_misc.h konq_openurlrequest.h konq_profiledlg.h konq_run.h \
 	konq_view.h konq_viewmgr.h version.h
 
-konqueror_la_LDFLAGS = $(all_libraries) -module -avoid-version
-konqueror_la_LIBADD = ../libkonq/libkonq.la
+libkonqueror_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkonqueror_main_la_LIBADD = ../libkonq/libkonq.la
 
-konqueror_SOURCES = dummy.cc
-konqueror_LDADD = konqueror.la
+konqueror_la_SOURCES = konq_la_main.cc
+konqueror_la_LDFLAGS = $(all_libraries) -avoid-version $(KDE_RPATH) -module
+konqueror_la_LIBADD  = libkonqueror_main.la
+
+konq_la_main.cc: konq_main.cc
+	cat konq_main.cc > konq_la_main.cc
+
+konqueror_SOURCES = konq_main.cc
+konqueror_LDADD = libkonqueror_main.la
 konqueror_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 
 # Hmm, this experiment of a static konq failed, don't trust it...
@@ -61,9 +67,6 @@
 #konqueror_static_SOURCES = dummy.cc
 #konqueror_static_LDADD = konqueror.la *view/*.la dirtree/*.la $(libdir)/libkhtml.la
 #konqueror_static_LDFLAGS = $(all_libraries) -static
-
-dummy.cc:
-	echo > dummy.cc
 
 messages: rc.cpp
 	$(EXTRACTRC) *.rc */*.rc >> rc.cpp
--- konqueror/client/Makefile.am	14 Aug 2002 14:30:59 -0000	1.1.1.2
+++ konqueror/client/Makefile.am	1 Jun 2003 14:31:56 -0000	1.8
@@ -1,12 +1,12 @@
 AM_CPPFLAGS = -DQT_NO_CAST_ASCII
 
 bin_PROGRAMS = kfmclient
-lib_LTLIBRARIES = kfmclient.la
+lib_LTLIBRARIES = kfmclient.la libkfmclient_main.la
 
 INCLUDES= -I.. $(all_includes)
-kfmclient_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kfmclient_la_LIBADD =  $(LIB_KIO)
-kfmclient_la_SOURCES = kfmclient.cc KonquerorIface.stub KDesktopIface.stub
+libkfmclient_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkfmclient_main_la_LIBADD =  $(LIB_KIO) $(LIB_QT) -lkdecore -lDCOP -lkdeui
+libkfmclient_main_la_SOURCES = kfmclient.cc KonquerorIface.stub KDesktopIface.stub
 
 noinst_HEADERS = kfmclient.h
 METASOURCES = AUTO
@@ -14,12 +14,19 @@
 KonquerorIface_DIR =  $(srcdir)/..
 KDesktopIface_DIR = $(top_srcdir)/kdesktop
 
-kfmclient_SOURCES = dummy.cc
+kfmclient_la_LDFLAGS = $(all_libraries) -avoid-version -module $(KDE_RPATH)
+kfmclient_la_LIBADD  = libkfmclient_main.la
+kfmclient_la_SOURCES = kfmclient_la_main.cpp
+
+kfmclient_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kfmclient_la_main.cpp
+
+kfmclient_SOURCES = kfmclient_main.cpp
 kfmclient_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-kfmclient_LDADD = kfmclient.la
+kfmclient_LDADD   = libkfmclient_main.la
 
-dummy.cc:
-	echo > dummy.cc
+kfmclient_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kfmclient_main.cpp
 
 messages:
 	$(XGETTEXT) -kaliasLocal *.h *.cc -o $(podir)/kfmclient.pot
--- konqueror/client/kfmclient.cc	19 Jul 2003 03:33:24 -0000	1.1.1.8
+++ konqueror/client/kfmclient.cc	19 Jul 2003 03:50:16 -0000	1.7
@@ -65,7 +65,9 @@
    {0,0,0}
 };
 
-int main( int argc, char **argv )
+extern "C" int kdemain(int, char**);
+
+int kdemain( int argc, char **argv )
 {
   KCmdLineArgs::init(argc, argv, appName, description, version, false);
 
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ konqueror/client/stub_main.cpp	26 Nov 2002 21:00:53 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- konqueror/keditbookmarks/Makefile.am	29 Oct 2002 03:05:50 -0000	1.1.1.3
+++ konqueror/keditbookmarks/Makefile.am	1 Jun 2003 14:31:56 -0000	1.6
@@ -2,22 +2,29 @@
 
 METASOURCES = AUTO
 
-lib_LTLIBRARIES = keditbookmarks.la
+lib_LTLIBRARIES = keditbookmarks.la libkeditbookmarks_main.la
 
-keditbookmarks_la_SOURCES = main.cpp items.cpp toplevel.cpp favicons.cpp toplevel.skel commands.cpp
+libkeditbookmarks_main_la_SOURCES = main.cpp items.cpp toplevel.cpp favicons.cpp toplevel.skel commands.cpp
 kbookmarklistener_DIR = $(top_srcdir)/libkonq
 
-keditbookmarks_la_LIBADD  = $(top_builddir)/libkonq/libkonq.la $(LIB_KHTML)
-keditbookmarks_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libkeditbookmarks_main_la_LIBADD  = $(top_builddir)/libkonq/libkonq.la $(LIB_KHTML)
+libkeditbookmarks_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+
+keditbookmarks_la_SOURCES = keditbookmarks_la_main.cpp
+keditbookmarks_la_LIBADD  = libkeditbookmarks_main.la
+keditbookmarks_la_LDFLAGS = $(all_libraries) -avoid-version -module
+
+keditbookmarks_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > keditbookmarks_la_main.cpp
 
 bin_PROGRAMS = keditbookmarks
 
-keditbookmarks_SOURCES = dummy.cpp
-keditbookmarks_LDADD = keditbookmarks.la
+keditbookmarks_SOURCES = keditbookmarks_main.cpp
+keditbookmarks_LDADD = libkeditbookmarks_main.la
 keditbookmarks_LDFLAGS = $(all_libraries)
 
-dummy.cpp:
-	echo > dummy.cpp
+keditbookmarks_main.cpp: stub_main.cpp
+	cat stub_main.cpp > keditbookmarks_main.cpp
 
 rcdir = $(kde_datadir)/keditbookmarks
 rc_DATA = keditbookmarksui.rc  
--- konqueror/keditbookmarks/main.cpp	5 Nov 2002 00:18:22 -0000	1.1.1.4
+++ konqueror/keditbookmarks/main.cpp	26 Nov 2002 21:00:53 -0000	1.2
@@ -110,7 +110,9 @@
   }
 }
 
-int main(int argc, char ** argv)
+extern "C" int kdemain(int, char**);
+
+int kdemain(int argc, char ** argv)
 {
   KLocale::setMainCatalogue("konqueror");
   KAboutData aboutData("keditbookmarks", I18N_NOOP("KEditBookmarks"), "1.1",
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ konqueror/keditbookmarks/stub_main.cpp	26 Nov 2002 21:00:53 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- konqueror/shellcmdplugin/Makefile.am	25 Jun 2002 02:03:53 -0000	1.1.1.1
+++ konqueror/shellcmdplugin/Makefile.am	26 Feb 2003 23:29:06 -0000	1.2
@@ -5,7 +5,7 @@
 konq_shellcmdplugin_la_SOURCES = kshellcmdexecutor.cpp kshellcmddialog.cpp \
 	kshellcmdplugin.cpp
 konq_shellcmdplugin_la_LIBADD = $(top_builddir)/libkonq/libkonq.la
-konq_shellcmdplugin_la_LDFLAGS = -module $(KDE_PLUGIN)
+konq_shellcmdplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 iconviewdir = $(kde_datadir)/konqiconview/kpartplugins
 iconview_DATA = kshellcmdplugin.rc
--- konqueror/sidebar/Makefile.am	14 Aug 2002 14:30:57 -0000	1.1.1.3
+++ konqueror/sidebar/Makefile.am	27 Nov 2002 16:09:11 -0000	1.2
@@ -25,7 +25,7 @@
 konq_sidebar_la_LIBADD  = $(LIB_KPARTS) $(LIB_KIO) ../../libkonq/libkonq.la ./libkonqsidebarplugin.la ../../kate/lib/libkmultitabbar.la
 
 libkonqsidebarplugin_la_SOURCES=konqsidebarplugin.cpp
-libkonqsidebarplugin_la_LDFLAGS = $(all_libraries) -no-undefined
+libkonqsidebarplugin_la_LDFLAGS = $(all_libraries) -no-undefined -avoid-version
 libkonqsidebarplugin_la_LIBADD = $(LIB_KPARTS)
 
 # this is where the desktop file will go 
--- konqueror/sidebar/trees/Makefile.am	10 Jul 2002 03:24:11 -0000	1.1.1.2
+++ konqueror/sidebar/trees/Makefile.am	26 Nov 2002 21:00:53 -0000	1.3
@@ -8,10 +8,10 @@
 METASOURCES = AUTO
 
 libkonq_sidebar_tree_la_SOURCES = konq_sidebartree.cpp konq_sidebartreeitem.cpp konq_sidebartreetoplevelitem.cpp
-libkonq_sidebar_tree_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-libkonq_sidebar_tree_la_LIBADD = $(top_builddir)/libkonq/libkonq.la ../libkonqsidebarplugin.la
+libkonq_sidebar_tree_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkonq_sidebar_tree_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/konqueror/sidebar/libkonqsidebarplugin.la
 
 konqsidebar_tree_la_SOURCES = konqsidebar_tree.cpp
 konqsidebar_tree_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-konqsidebar_tree_la_LIBADD = $(top_builddir)/libkonq/libkonq.la ../libkonqsidebarplugin.la libkonq_sidebar_tree.la
+konqsidebar_tree_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/konqueror/sidebar/libkonqsidebarplugin.la libkonq_sidebar_tree.la
 
--- konqueror/sidebar/trees/bookmark_module/Makefile.am	25 Jun 2002 02:03:53 -0000	1.1.1.1
+++ konqueror/sidebar/trees/bookmark_module/Makefile.am	26 Nov 2002 21:00:53 -0000	1.3
@@ -6,5 +6,5 @@
 
 konq_sidebartree_bookmarks_la_SOURCES = bookmark_module.cpp bookmark_item.cpp
 konq_sidebartree_bookmarks_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-konq_sidebartree_bookmarks_la_LIBADD = ../../libkonqsidebarplugin.la ../libkonq_sidebar_tree.la
+konq_sidebartree_bookmarks_la_LIBADD = $(top_builddir)/konqueror/sidebar/libkonqsidebarplugin.la $(top_builddir)/konqueror/sidebar/trees/libkonq_sidebar_tree.la
 
--- konqueror/sidebar/trees/dirtree_module/Makefile.am	25 Jun 2002 02:03:53 -0000	1.1.1.1
+++ konqueror/sidebar/trees/dirtree_module/Makefile.am	26 Nov 2002 21:00:53 -0000	1.3
@@ -5,6 +5,6 @@
 METASOURCES = AUTO
 konq_sidebartree_dirtree_la_SOURCES = dirtree_module.cpp dirtree_item.cpp
 konq_sidebartree_dirtree_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-konq_sidebartree_dirtree_la_LIBADD = ../../libkonqsidebarplugin.la ../libkonq_sidebar_tree.la
+konq_sidebartree_dirtree_la_LIBADD = $(top_builddir)/konqueror/sidebar/libkonqsidebarplugin.la $(top_builddir)/konqueror/sidebar/trees/libkonq_sidebar_tree.la
 
 
--- konqueror/sidebar/trees/history_module/Makefile.am	1 Oct 2002 02:36:50 -0000	1.1.1.3
+++ konqueror/sidebar/trees/history_module/Makefile.am	26 Nov 2002 21:00:53 -0000	1.7
@@ -7,7 +7,7 @@
 konq_sidebartree_history_la_SOURCES = history_module.cpp history_item.cpp \
 	history_settings.cpp history_settings.skel
 konq_sidebartree_history_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-konq_sidebartree_history_la_LIBADD =  ../../libkonqsidebarplugin.la ../libkonq_sidebar_tree.la
+konq_sidebartree_history_la_LIBADD =  $(top_builddir)/konqueror/sidebar/libkonqsidebarplugin.la $(top_builddir)/konqueror/sidebar/trees/libkonq_sidebar_tree.la
 
 kcm_history_la_SOURCES = kcmhistory.cpp history_dlg.ui history_settings.cpp history_settings.skel
 kcm_history_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
--- konqueror/sidebar/trees/history_module/history_module.h	6 May 2003 18:00:16 -0000	1.1.1.3
+++ konqueror/sidebar/trees/history_module/history_module.h	6 May 2003 18:23:18 -0000	1.4
@@ -61,8 +61,7 @@
     bool sortsByName() const { return m_sortsByName; }
 
     static QString groupForURL( const KURL& url ) {
-	static const QString& misc = KGlobal::staticQString(i18n("Miscellaneous"));
-	return url.host().isEmpty() ? misc : url.host();
+	return url.host().isEmpty() ? KGlobal::staticQString(i18n("Miscellaneous")) : url.host();
     }
 
 public slots:
--- konsole/konsole/Makefile.am	6 May 2003 17:53:37 -0000	1.1.1.6
+++ konsole/konsole/Makefile.am	1 Jun 2003 14:31:56 -0000	1.9
@@ -12,13 +12,12 @@
 
 # you can add here more. This one gets installed
 bin_PROGRAMS = 	konsole konsole_grantpty kwrited #kcmkonsole
-lib_LTLIBRARIES = kwrited.la konsole.la
+lib_LTLIBRARIES = libkonsolepart_shared.la libkonsolepart.la libkwrited_main.la kwrited.la libkonsole_main.la konsole.la
 
 # libkonsolepart is a part, but konsole.la links directly to it, so we can't
 # install it under kde_module
 
-kde_module_LTLIBRARIES = libkonsolepart.la
-libkonsolepart_la_SOURCES = TEPty.cpp BlockArray.cpp konsole_part.cpp \
+libkonsolepart_shared_la_SOURCES = TEPty.cpp BlockArray.cpp konsole_part.cpp \
 	schema.cpp \
 	session.cpp \
 	TEWidget.cpp \
@@ -29,33 +28,58 @@
 	keytrans.cpp \
 	konsoleiface.skel \
         sessioniface.skel
+libkonsolepart_shared_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
+libkonsolepart_shared_la_LIBADD = $(LIBUTIL) $(XTESTLIB) $(LIB_KPARTS) $(LIB_QT) -lkdecore -lDCOP -lkdeui -lkio
 
-libkonsolepart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
-libkonsolepart_la_LIBADD = $(LIBUTIL) $(XTESTLIB) $(LIB_KPARTS)
+libkonsolepart_la_SOURCES = dummy.cpp
+libkonsolepart_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+libkonsolepart_la_LIBADD  = libkonsolepart_shared.la
+
+dummy.cpp:
+	echo > dummy.cpp
 
 # kwrited kdeinit module
-kwrited_la_SOURCES = kwrited.cpp
-kwrited_la_LIBADD  = libkonsolepart.la
-kwrited_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libkwrited_main_la_SOURCES = kwrited.cpp
+libkwrited_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkwrited_main_la_LIBADD = $(LIB_KPARTS) $(LIB_QT) -lkdecore -lDCOP libkonsolepart_shared.la
+
+kwrited_la_SOURCES = kwrited_la_main.cpp
+kwrited_la_LDFLAGS = $(all_libraries) -avoid-version -module
+kwrited_la_LIBADD  = libkwrited_main.la
+
+kwrited_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kwrited_la_main.cpp
 
 # kwrited executable
-kwrited_SOURCES	= dummy.cpp
-kwrited_LDADD   = kwrited.la 
+kwrited_SOURCES	= kwrited_main.cpp
+kwrited_LDADD   = libkwrited_main.la
 kwrited_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
+kwrited_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kwrited_main.cpp
 
 # konsole kdeinit module
-konsole_la_SOURCES = TEPty.cpp BlockArray.cpp main.cpp konsole.cpp schema.cpp session.cpp TEWidget.cpp TEmuVt102.cpp \
+libkonsole_main_la_SOURCES = TEPty.cpp BlockArray.cpp main.cpp konsole.cpp schema.cpp session.cpp TEWidget.cpp TEmuVt102.cpp \
      TEScreen.cpp TEmulation.cpp TEHistory.cpp keytrans.cpp konsoleiface.skel sessioniface.skel \
      konsole_wcwidth.cpp konsolebookmarkhandler.cpp konsolebookmarkmenu.cpp konsole_child.cpp
-konsole_la_LDFLAGS = $(all_libraries) -module -avoid-version
-konsole_la_LIBADD = $(LIB_KDEPRINT) $(LIBUTIL) $(XTESTLIB)
+libkonsole_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkonsole_main_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT) $(XTESTLIB) $(LIBUTIL) $(XTESTLIB) $(LIB_QT) -lkdecore -lDCOP
+
+konsole_la_SOURCES = konsole_la_main.cpp
+konsole_la_LDFLAGS = $(all_libraries) -avoid-version -module
+konsole_la_LIBADD  = libkonsole_main.la
+
+konsole_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > konsole_la_main.cpp
 
 # konsole executable
-konsole_SOURCES = dummy.cpp
-konsole_LDADD = konsole.la $(LIB_KDEPRINT)
+konsole_SOURCES = konsole_main.cpp
+konsole_LDADD = libkonsole_main.la $(LIB_KDEPRINT)
 konsole_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
+konsole_main.cpp: stub_main.cpp
+	cat stub_main.cpp > konsole_main.cpp
+
 # kcmkonsole_SOURCES = kcmkonsole.cpp schema.cpp
 # kcmkonsole_LDADD   = $(LIB_KDEUI)
 # kcmkonsole_LDFLAGS = $(all_libraries) $(KDE_RPATH)
@@ -97,9 +121,6 @@
 	$(XGETTEXT) rc.cpp *.cpp -o $(podir)/konsole.pot
 	rm -f schemas.cpp
 	rm -f tips.cpp
-
-dummy.cpp:
-	echo > dummy.cpp
 
 # setting up x-application/konsole as a special mimetype
 mimedir = $(kde_mimedir)/application
--- konsole/konsole/konsole_grantpty.c	1 Oct 2002 02:36:59 -0000	1.1.1.3
+++ konsole/konsole/konsole_grantpty.c	25 Mar 2003 18:16:37 -0000	1.4
@@ -33,6 +33,10 @@
 #include <sys/stat.h>
 #include <unistd.h>
 
+#if defined(__APPLE__)
+#  define UNSUPPORTED 1
+#endif
+
 #include <sys/param.h>
 #if defined(__FreeBSD__)
 #  define BSD_PTY_HACK
@@ -45,6 +49,7 @@
 
 int main (int argc, char *argv[])
 {
+
   char*         pty;
   struct stat   st;
   struct group* p;
@@ -89,7 +94,10 @@
 
   /* get slave pty name from master pty file handle in PTY_FILENO *********/
 
-#if defined(BSD_PTY_HACK)
+#if defined(UNSUPPORTED)
+  return 0;
+
+#elif defined(BSD_PTY_HACK)
   /*
     Hack to make konsole_grantpty work on FreeBSD (and possibly other systems).
     ttyname(3) does not work on FreeBSD with a file descriptor opened on a
--- konsole/konsole/kwrited.cpp	29 Oct 2002 03:06:19 -0000	1.1.1.4
+++ konsole/konsole/kwrited.cpp	26 Nov 2002 21:00:53 -0000	1.2
@@ -88,7 +88,9 @@
     ::exit(0);
 }
 
-int main(int argc, char* argv[])
+extern "C" int kdemain(int, char**);
+
+int kdemain(int argc, char* argv[])
 {
   KLocale::setMainCatalogue("konsole");
   KCmdLineArgs::init(argc, argv, "kwrited",
--- konsole/konsole/main.cpp	19 Jul 2003 03:29:50 -0000	1.1.1.8
+++ konsole/konsole/main.cpp	19 Jul 2003 03:50:17 -0000	1.7
@@ -125,7 +125,8 @@
 
 
 /* --| main |------------------------------------------------------ */
-int main(int argc, char* argv[])
+extern "C" kdemain(int, char**);
+int kdemain(int argc, char** argv)
 {
   setgid(getgid()); setuid(getuid()); // drop privileges
 
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ konsole/konsole/stub_main.cpp	26 Nov 2002 21:00:53 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- ksmserver/Makefile.am	10 Jul 2002 03:24:29 -0000	1.1.1.2
+++ ksmserver/Makefile.am	1 Jun 2003 14:31:56 -0000	1.7
@@ -20,18 +20,28 @@
 INCLUDES=  $(all_includes)
 
 bin_PROGRAMS = ksmserver
-lib_LTLIBRARIES = ksmserver.la
+lib_LTLIBRARIES = ksmserver.la libksmserver_main.la
 noinst_HEADERS = global.h server.h shutdown.h
 
-ksmserver_la_METASOURCES = AUTO
+libksmserver_main_la_METASOURCES = AUTO
 # Order is important for --enable-final!
-ksmserver_la_SOURCES = main.cpp server.cpp shutdown.cpp KSMServerInterface.skel
-ksmserver_SOURCES = dummy.cpp
+libksmserver_main_la_SOURCES = main.cpp server.cpp shutdown.cpp KSMServerInterface.skel
+libksmserver_main_la_LDFLAGS = $(all_libraries) -avoid-version $(QT_LDFLAGS) -no-undefined
+libksmserver_main_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) -lkdecore -lDCOP
 
+ksmserver_la_SOURCES = ksmserver_la_main.cpp
 ksmserver_la_LDFLAGS = $(all_libraries) -avoid-version -module
+ksmserver_la_LIBADD  = libksmserver_main.la
+
+ksmserver_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > ksmserver_la_main.cpp
+
+ksmserver_SOURCES = ksmserver_main.cpp
 ksmserver_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksmserver_la_LIBADD = $(LIB_KDEUI)
-ksmserver_LDADD = ksmserver.la
+ksmserver_LDADD   = libksmserver_main.la
+
+ksmserver_main.cpp: stub_main.cpp
+	cat stub_main.cpp > ksmserver_main.cpp
 
 picsdir = $(kde_datadir)/ksmserver/pics
 pics_DATA = shutdownkonq.png
@@ -47,6 +57,3 @@
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/ksmserver.pot
-
-dummy.cpp:
-	echo > dummy.cpp
--- ksmserver/main.cpp	14 Aug 2002 14:27:51 -0000	1.1.1.3
+++ ksmserver/main.cpp	26 Nov 2002 21:00:54 -0000	1.2
@@ -159,7 +159,8 @@
   }
 }
 
-int main( int argc, char* argv[] )
+extern "C" int kdemain(int, char**);
+int kdemain( int argc, char** argv )
 {
     sanity_check(argc, argv);
 
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ ksmserver/stub_main.cpp	26 Nov 2002 21:00:54 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- ksysguard/configure.in.in	29 Oct 2002 03:06:45 -0000	1.1.1.4
+++ ksysguard/configure.in.in	11 Nov 2002 20:56:20 -0000	1.2
@@ -1,3 +1,5 @@
+DO_NOT_COMPILE="$DO_NOT_COMPILE ksysguard"
+
 dnl Check whether ksysguardd can run; 
 AC_MSG_CHECKING([if ksysguardd can be compiled])
 case "$host" in 
--- ktip/tips	29 Oct 2002 03:06:51 -0000	1.1.1.5
+++ ktip/tips	31 Oct 2002 19:19:37 -0000	1.2
@@ -704,20 +704,6 @@
 </tip>
 
 
-<tip category="Win2Unix">
-<html>
-<p>
-You might wonder why there are very few (if any) files whose
-names end in <code>.exe</code> or <code>.bat</code> on UNIX
-systems. This is because filenames on UNIX do not need an
-extension. Executable files in KDE are represented by the gear icon
-in Konqueror. In the Konsole window, they are often colored red 
-(depending on your settings).
-</p>
-<p align="right"><em>Contributed by Carsten Niehaus</em></p>
-</html>
-</tip>
-
 <tip category="KDE|Win2Unix|General">
 <html>
 <p>
--- kwin/Makefile.am	10 Jul 2002 03:24:51 -0000	1.1.1.2
+++ kwin/Makefile.am	1 Jun 2003 14:31:57 -0000	1.7
@@ -3,14 +3,21 @@
 SUBDIRS = . kcmkwin pics clients
 
 bin_PROGRAMS = kwin
-lib_LTLIBRARIES = kwin.la
+lib_LTLIBRARIES = kwin.la libkwin_main.la
 
 # workspace.cpp has to be first in order not to break --enable-final
-kwin_la_SOURCES = workspace.cpp placement.cpp atoms.cpp  client.cpp main.cpp \
+libkwin_main_la_SOURCES = workspace.cpp placement.cpp atoms.cpp  client.cpp main.cpp \
 	popupinfo.cpp tabbox.cpp options.cpp plugins.cpp events.cpp KWinInterface.skel \
 	killwindow.cpp kwinbutton.cpp
-kwin_la_LIBADD = $(LIB_KDEUI) $(LIBXINERAMA)
-kwin_la_LDFLAGS = $(all_libraries) -module -avoid-version
+libkwin_main_la_LIBADD = $(LIB_KDEUI) $(LIBXINERAMA) $(LIB_QT) -lkdecore -lDCOP
+libkwin_main_la_LDFLAGS = $(all_libraries) -avoid-version $(QT_LDFLAGS) -no-undefined
+
+kwin_la_SOURCES = kwin_la_main.cpp
+kwin_la_LIBADD  = libkwin_main.la
+kwin_la_LDFLAGS = $(all_libraries) -avoid-version -module
+
+kwin_la_main.cpp: kwin_main.cpp
+	cat kwin_main.cpp > kwin_la_main.cpp
 
 include_HEADERS = KWinInterface.h
 
@@ -18,7 +25,7 @@
 kwininclude_HEADERS = options.h client.h workspace.h kwinbutton.h
 
 kwin_SOURCES = kwin_main.cpp
-kwin_LDADD = kwin.la
+kwin_LDADD = libkwin_main.la
 kwin_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 KDE_ICON = kwin
--- kwin/clients/b2/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/b2/Makefile.am	26 Nov 2002 21:00:54 -0000	1.2
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kwin_b2.la
 
 kwin_b2_la_SOURCES = b2client.cpp
-kwin_b2_la_LIBADD = ../../kwin.la
+kwin_b2_la_LIBADD = ../../libkwin_main.la
 kwin_b2_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/default/Makefile.am	5 Nov 2002 00:19:26 -0000	1.1.1.3
+++ kwin/clients/default/Makefile.am	26 Nov 2002 21:00:54 -0000	1.2
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kwin_default.la
 
 kwin_default_la_SOURCES = kdedefault.cpp
-kwin_default_la_LIBADD = ../../kwin.la
+kwin_default_la_LIBADD = ../../libkwin_main.la
 kwin_default_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/icewm/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/icewm/Makefile.am	26 Nov 2002 21:00:54 -0000	1.2
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kwin_icewm.la
 
 kwin_icewm_la_SOURCES = icewm.cpp 
-kwin_icewm_la_LIBADD = ../../kwin.la
+kwin_icewm_la_LIBADD = ../../libkwin_main.la
 kwin_icewm_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/kde1/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/kde1/Makefile.am	26 Nov 2002 21:00:54 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_kde1.la
 
 kwin_kde1_la_SOURCES = kde1client.cpp
-kwin_kde1_la_LIBADD = ../../kwin.la
+kwin_kde1_la_LIBADD = ../../libkwin_main.la
 kwin_kde1_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/keramik/Makefile.am	1 Oct 2002 02:37:32 -0000	1.1.1.2
+++ kwin/clients/keramik/Makefile.am	26 Nov 2002 21:00:54 -0000	1.2
@@ -13,7 +13,7 @@
 kde_module_LTLIBRARIES    = kwin_keramik.la
 
 kwin_keramik_la_SOURCES   = keramik.cpp
-kwin_keramik_la_LIBADD    = ../../kwin.la
+kwin_keramik_la_LIBADD    = ../../libkwin_main.la
 kwin_keramik_la_COMPILE_FIRST = tiles.h
 kwin_keramik_la_LDFLAGS   = $(all_libraries) $(KDE_PLUGIN) -module
 
--- kwin/clients/kstep/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/kstep/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_kstep.la
 
 kwin_kstep_la_SOURCES = nextclient.cpp
-kwin_kstep_la_LIBADD = ../../kwin.la
+kwin_kstep_la_LIBADD = ../../libkwin_main.la
 kwin_kstep_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/kwmtheme/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/kwmtheme/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_kwmtheme.la
 
 kwin_kwmtheme_la_SOURCES = kwmthemeclient.cpp
-kwin_kwmtheme_la_LIBADD = ../../kwin.la
+kwin_kwmtheme_la_LIBADD = ../../libkwin_main.la
 kwin_kwmtheme_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/laptop/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/laptop/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_laptop.la
 
 kwin_laptop_la_SOURCES = laptopclient.cpp
-kwin_laptop_la_LIBADD = ../../kwin.la
+kwin_laptop_la_LIBADD = ../../libkwin_main.la
 kwin_laptop_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/modernsystem/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/modernsystem/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = kwin_modernsys.la
 
 kwin_modernsys_la_SOURCES = modernsys.cpp
-kwin_modernsys_la_LIBADD = ../../kwin.la
+kwin_modernsys_la_LIBADD = ../../libkwin_main.la
 kwin_modernsys_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/quartz/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/quartz/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kwin_quartz.la
 
 kwin_quartz_la_SOURCES = quartz.cpp
-kwin_quartz_la_LIBADD = ../../kwin.la
+kwin_quartz_la_LIBADD = ../../libkwin_main.la
 kwin_quartz_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/redmond/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/redmond/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_redmond.la
 
 kwin_redmond_la_SOURCES = redmond.cpp
-kwin_redmond_la_LIBADD = ../../kwin.la
+kwin_redmond_la_LIBADD = ../../libkwin_main.la
 kwin_redmond_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/riscos/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/riscos/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -12,7 +12,7 @@
 StickyButton.cpp \
 HelpButton.cpp \
 Static.cpp
-kwin_riscos_la_LIBADD = ../../kwin.la
+kwin_riscos_la_LIBADD = ../../libkwin_main.la
 kwin_riscos_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/system/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/system/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kwin_system.la
 
 kwin_system_la_SOURCES = systemclient.cpp
-kwin_system_la_LIBADD = ../../kwin.la
+kwin_system_la_LIBADD = ../../libkwin_main.la
 kwin_system_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
--- kwin/clients/web/Makefile.am	25 Jun 2002 02:03:54 -0000	1.1.1.1
+++ kwin/clients/web/Makefile.am	26 Nov 2002 21:00:55 -0000	1.2
@@ -21,7 +21,7 @@
   WebButtonMaximize.h \
   WebButtonSticky.h
 
-kwin_web_la_LIBADD      = ../../kwin.la
+kwin_web_la_LIBADD      = ../../libkwin_main.la
 kwin_web_la_LDFLAGS     = $(all_libraries) $(KDE_PLUGIN) -module
 METASOURCES               = AUTO
 
--- kwin/kcmkwin/kwindecoration/Makefile.am	1 Oct 2002 02:37:35 -0000	1.1.1.3
+++ kwin/kcmkwin/kwindecoration/Makefile.am	1 Jun 2003 14:31:57 -0000	1.2
@@ -5,8 +5,7 @@
 kcm_kwindecoration_la_SOURCES = kwindecoration.cpp buttons.cpp kwindecorationIface.skel
 noinst_HEADERS = kwindecoration.h kwindecorationIface.h buttons.h
 
-kcm_kwindecoration_la_LDFLAGS = \
-  -module -avoid-version $(all_libraries) -no-undefined
+kcm_kwindecoration_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
 
 kcm_kwindecoration_la_LIBADD = $(LIB_KDEUI)
 
--- kwin/kcmkwin/kwinoptions/Makefile.am	1 Oct 2002 02:37:36 -0000	1.1.1.4
+++ kwin/kcmkwin/kwinoptions/Makefile.am	1 Oct 2002 12:06:42 -0000	1.2
@@ -10,7 +10,7 @@
 kcm_kwinoptions_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
 kcm_kwinoptions_la_LIBADD = $(LIB_KDEUI)
 
-noinst_HEADERS = windows.h mouse.h 
+noinst_HEADERS = windows.h mouse.h main.h
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/kcmkwm.pot
--- kxkb/Makefile.am	29 Oct 2002 03:07:04 -0000	1.1.1.5
+++ kxkb/Makefile.am	1 Jun 2003 14:31:57 -0000	1.12
@@ -7,20 +7,30 @@
 
 bin_PROGRAMS = kxkb
 
-kxkb_SOURCES = dummy.cpp
+kxkb_SOURCES = kxkb_main.cpp
 kxkb_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kxkb_LDADD = kxkb.la -lxkbfile
+kxkb_LDADD = libkxkb_main.la
 
-lib_LTLIBRARIES = kxkb.la
+kxkb_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kxkb_main.cpp
+
+lib_LTLIBRARIES = kxkb.la libkxkb_main.la
 kde_module_LTLIBRARIES = kcm_keyboard.la
 
 kcm_keyboard_la_SOURCES = rules.cpp kcmlayout.cpp pixmap.cpp kcmmisc.cpp kcmmiscwidget.ui
 kcm_keyboard_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
 kcm_keyboard_la_LIBADD = $(XTESTLIB) $(LIB_KIO) -lxkbfile
 
-kxkb_la_SOURCES = kxkb.cpp rules.cpp extension.cpp pixmap.cpp
-kxkb_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kxkb_la_LIBADD = -lX11 -lXext $(LIB_KDEUI) -lxkbfile
+libkxkb_main_la_SOURCES = kxkb.cpp rules.cpp extension.cpp pixmap.cpp
+libkxkb_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkxkb_main_la_LIBADD = $(LIB_X11) $(LIB_XEXT) $(LIB_KDEUI) -lxkbfile $(LIB_QT) -lDCOP -lkdecore
+
+kxkb_la_SOURCES = kxkb_la_main.cpp
+kxkb_la_LDFLAGS = $(all_libraries) -avoid-version -module
+kxkb_la_LIBADD = libkxkb_main.la
+
+kxkb_la_main.cpp: stub_main.cpp
+	cat stub_main.cpp > kxkb_la_main.cpp
 
 data_DATA = keyboard.desktop
 datadir = $(kde_appsdir)/Settings/Peripherals
@@ -37,6 +47,3 @@
 messages: rc.cpp
 	$(XGETTEXT) $(kxkb_la_SOURCES) kxkbbindings.cpp -o $(podir)/kxkb.pot
 	$(XGETTEXT) rules.cpp kcmlayout.cpp pixmap.cpp kcmmisc.cpp rc.cpp kxkbbindings.cpp -o $(podir)/kcmlayout.pot 
-
-dummy.cpp:
-	echo > dummy.cpp
--- kxkb/kxkb.cpp	3 Mar 2003 01:42:18 -0000	1.1.1.6
+++ kxkb/kxkb.cpp	3 Mar 2003 01:55:33 -0000	1.3
@@ -508,7 +508,8 @@
 const char * DESCRIPTION =
   I18N_NOOP("A utility to switch keyboard maps.");
 
-int main(int argc, char *argv[])
+extern "C" int kdemain(int, char**);
+int kdemain(int argc, char **argv)
 {
     KAboutData about("kxkb", I18N_NOOP("KDE Keyboard Tool"), "0.8",
                      DESCRIPTION, KAboutData::License_LGPL,
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kxkb/stub_main.cpp	26 Nov 2002 21:00:56 -0000	1.1
@@ -0,0 +1,28 @@
+/*
+ *
+ * Copyright (c) 2001 Nick Hudson <skrll@netbsd.org>
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+ * AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+ * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+extern "C" int kdemain(int, char* []);
+
+int main( int argc, char* argv[] )
+{
+        return kdemain(argc, argv);
+}
+
--- libkonq/Makefile.am	1 Oct 2002 02:37:43 -0000	1.1.1.4
+++ libkonq/Makefile.am	25 Mar 2003 18:16:38 -0000	1.7
@@ -21,7 +21,7 @@
 
 lib_LTLIBRARIES = libkonq.la
 libkonq_la_LDFLAGS = $(all_libraries) -version-info 5:0:1 -no-undefined
-libkonq_la_LIBADD = $(LIB_KPARTS)
+libkonq_la_LIBADD = $(LIB_KPARTS) $(LIBZ)
 
 libkonq_la_SOURCES = konq_popupmenu.cc knewmenu.cc \
    konq_xmlguiclient.cc\
--- libkonq/favicons/Makefile.am	25 Jun 2002 02:03:55 -0000	1.1.1.1
+++ libkonq/favicons/Makefile.am	9 Feb 2003 17:00:15 -0000	1.5
@@ -2,8 +2,8 @@
 
 INCLUDES = $(all_includes)
 kded_favicons_la_SOURCES = favicons.cpp favicons.skel
-kded_favicons_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_favicons_la_LIBADD = $(LIB_KSYCOCA)
+kded_favicons_la_LDFLAGS = $(all_libraries) -module -avoid-version $(QT_LDFLAGS) -undefined suppress -flat_namespace
+kded_favicons_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 
--- nsplugins/Makefile.am	14 Aug 2002 14:27:53 -0000	1.1.1.3
+++ nsplugins/Makefile.am	9 May 2003 00:40:05 -0000	1.2
@@ -5,7 +5,7 @@
 
 NSPluginClassIface_DIR = $(srcdir)/viewer
 
-lib_LTLIBRARIES = libnsplugin.la
+kde_module_LTLIBRARIES = libnsplugin.la
 libnsplugin_la_SOURCES = plugin_part.cpp nspluginloader.cpp		\
 			NSPluginClassIface.stub				\
 			NSPluginCallbackIface.skel
--- nsplugins/pluginscan.cpp	29 Oct 2002 03:07:09 -0000	1.1.1.3
+++ nsplugins/pluginscan.cpp	29 Oct 2002 03:39:40 -0000	1.4
@@ -443,6 +443,7 @@
         paths.append("/usr/lib/netscape/plugins");
         paths.append("/usr/lib/netscape/plugins-libc5");
         paths.append("/usr/lib/netscape/plugins-libc6");
+        paths.append("@PREFIX@/lib/mozilla/plugins");
         paths.append("/usr/lib/mozilla/plugins");
         paths.append("$MOZILLA_HOME/plugins");
         config->writeEntry( "scanPaths", paths );
--- startkde	19 Jul 2003 03:27:12 -0000	1.1.1.9
+++ startkde	19 Jul 2003 03:50:11 -0000	1.14
@@ -24,6 +24,10 @@
 #   2) everything in $KDEDIR/share/autostart (kdesktop, kicker, etc.)
 #   3) the rest of the session.
 
+# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
+unset DYLD_FORCE_FLAT_NAMESPACE
+test -d "@PREFIX@" && export PATH="@PREFIX@/bin:${PATH}"
+
 # The user's personal KDE directory is usually ~/.kde, but this setting
 # may be overridden by setting KDEHOME.
 
@@ -113,6 +117,11 @@
     export GS_LIB
 fi
 
+# if we're in Apple's X11 and the native window manager is available, use that
+if test -z "$KDEWM" && test -x /usr/X11R6/bin/quartz-wm; then
+    KDEWM="/usr/X11R6/bin/quartz-wm"
+fi
+
 # Link "tmp" resource to directory in /tmp
 # Creates a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.
 lnusertemp tmp >/dev/null
@@ -131,7 +140,11 @@
     # start only dcopserver, don't start whole kdeinit (takes too long)
     echo 'startkde: Running kpersonalizer...'  1>&2
     dcopserver
-    kwin &
+    if test -n "$KDEWM"; then
+        $KDEWM &
+    else
+        kwin &
+    fi
     kpersonalizer --before-session
     # handle kpersonalizer restarts (language change)
     while test $? -eq 1; do
@@ -142,7 +155,6 @@
     sleep 1
 fi
 
-# the splashscreen and progress indicator
 ksplash
 
 # We set LD_BIND_NOW to increase the efficiency of kdeinit.
@@ -153,6 +165,10 @@
   echo 'startkde: Could not start kdeinit. Check your installation.'  1>&2
   xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."
 fi
+
+# fix up KDE themes
+echo 'startkde: updating theme cache'
+kwrapper kinstalltheme
 
 # finally, give the session control to the session manager
 # if the KDEWM environment variable has been set, then it will be used as KDE's
